Yoursafe · Control Center
Yoursafe

Control Center API

OpenAPI
  • https://controlcenter.verotel.com/api
GET https://controlcenter.verotel.com/api/dashboard/announcements
GET/dashboard/announcements

This endpoint provides currently valid announcements, otherwise shown in Control Center.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

html_contentstringrequired

body of the announcement in HTML format

fingerprintstringrequired

hash of the announcement content, can be used to differentiate between announcements

GET https://controlcenter.verotel.com/api/dashboard/drill-down
GET/dashboard/drill-down

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

resultobjectrequired

List of drill down results

group_labelstringrequired

Name of drill down group (drill down by website_id => group labels might be e.g. "My video website")

idstringrequired

ID of drill down group (drill down by website_id => id might be e.g. "60678")

sale_price_amountstringrequired

Amount in sale currency (only available for drill down by currency, otherwise null)

total_amountstringrequired

Amount in requested output currency

GET https://controlcenter.verotel.com/api/dashboard/totals
    ?output_currency=value
GET/dashboard/totals

Query parameters

output_currencystring

The currency you want to get the totals in

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

todaynumberrequired

Sales for today

yesterdaynumberrequired

Sales for yesterday

last_7_daysnumberrequired

Sales for last 7 days (excl. today)

last_30_daysnumberrequired

Sales for last 30 days (excl. today)

last_365_daysnumberrequired

Sales for last 365 days (excl. today)

prior_7_days_diffnumberrequired

Percent change comparing last 7 days and its previous period

prior_30_days_diffnumberrequired

Percent change comparing last 30 days and its previous period

prior_365_days_diffnumberrequired

Percent change comparing last 365 days and its previous period

GET https://controlcenter.verotel.com/api/sale/123456
GET/sale/{id}

Path parameters

idnumberrequired

Sale unique ID.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

idnumberrequired

Unique sale ID

website_idnumberrequired

Website ID

sale_typestringrequired
priceobjectrequired

Applies to both purchases and subscriptions (i.e. rebill price)

amountstringrequired
currencystringrequired

Price currency as ISO 4217 code, e.g. USD, EUR, GBP

trial_priceobject

If the subscription has trial period, this is its price

amountstringrequired
currencystringrequired

Price currency as ISO 4217 code, e.g. USD, EUR,

descriptionstringrequired

Description of the subscription or purchase

reference_idstringrequired

Custom identifier posted by merchant

created_atstringrequired

Date and time when the sale has been created

buyer_namestringrequired

Name of the buyer

buyer_emailstringrequired

Email of the buyer

buyer_ipstringrequired

IP address of the buyer

countrystringrequired

Country from which the sale has been made; 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany

addressobject

Buyer street address, if it was required for the sale

full_namestringrequired

Name associated with the address

companystringrequired

Company associated with the address

address_line1stringrequired

1st line of address

address_line2stringrequired

2nd line of address

citystringrequired

City (municipality)

zipstringrequired

Postal/ZIP code

statestringrequired

State, only in case of US, ISO 3166-2 code e.g. US-CA = California

countrystringrequired

Country 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany

subscriptionobject

If the sale is a subscription, this contains detailed information about it

is_recurringstringrequired

Indicates if the subscription will be automatically rebilled

periodstringrequired

Subscription period in ISO-8601 format, eg. P2Y = 2 years

is_expiredstringrequired

Indicates if the subscription is not active anymore

next_charge_onstringrequired

Date on which next charge will be made for the subscription

is_cancelledstringrequired

Indicates if the subscription has been cancelled, i.e. future recurring has been stopped, but it may still be active

expiration_datestringrequired

When the subscription expires

cancel_discountobjectrequired

Discount applied when buyer tried to cancel subscription. This object replaces simple is_discounted field in previous version

is_appliedbooleanrequired

Indicates if the buyer has been offered and accepted a discount when they tried to cancel the subscription

percentnumber

If applied = true, this is the amount of the discount in percent i.e. 10 - 50 %

applied_onstring

If applied = true, this is the date when the buyer accepted the discount; ISO-8601 format e.g. 2016-04-27

price_after_discountobject

If applied = true, this is the price after the discount was applied; this field does not reflect any subsequent changes to the price, it is a snapshot in time

amountstringrequired
currencystringrequired

Price currency as ISO 4217 code

custom1stringrequired

Custom merchant field #1

custom2stringrequired

Custom merchant field #2

custom3stringrequired

Custom merchant field #3

payment_methodstringrequired
is_approvedbooleanrequired

Indicates if the transaction has been approved i.e. the price was paid

is_testingbooleanrequired

Indicates if the transaction was processed using a testing credit card number; such transaction does not represent real money

POST https://controlcenter.verotel.com/api/sale/123456/cancel
POST/sale/{id}/cancel

Path parameters

idnumberrequired

Sale unique ID.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

is_successbooleanrequired

Indicates if the operation succeeded

POST https://controlcenter.verotel.com/api/sale/123456/downgrade
POST/sale/{id}/downgrade

Path parameters

idnumberrequired

Sale unique ID.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

is_successbooleanrequired

Indicates if the operation succeeded

sale_idnumberrequired

Unique sale ID

POST https://controlcenter.verotel.com/api/sale/123456/extend
POST/sale/{id}/extend

Extends subscription period of the sale

Path parameters

idnumberrequired

Sale unique ID.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

is_successbooleanrequired

Indicates if the operation succeeded

sale_idnumberrequired

Unique sale ID

new_expiration_datestringrequired

The new expiration date, after it has been extended

POST https://controlcenter.verotel.com/api/sale/123456/terminate
POST/sale/{id}/terminate

Path parameters

idnumberrequired

Sale unique ID.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

is_successbooleanrequired

Indicates if the operation succeeded

sale_idnumberrequired

Unique sale ID

GET https://controlcenter.verotel.com/api/sale/123456/transactions
    ?is_approved=value
    &is_testing=value
GET/sale/{id}/transactions

Returns all transactions for sale id sorted by created_at in ascending order

Path parameters

idnumberrequired

Sale unique ID.

Query parameters

is_approvedboolean

Indicates if only approved (i.e. transactions whose price was paid) or not approved transactions should be returned. If omitted, both approved and not approved transactions are returned.

is_testingboolean

Indicates if only testing (i.e. transactions processed using a testing credit card number; such transaction do not represent real money) or not testing transactions should be returned. If omitted, both testing and not testing transactions are returned.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

created_atstringrequired

Date and time when the transaction was created

idnumberrequired

Unique transaction identifier

priceobjectrequired

Price of the transaction

amountstringrequired

Price amount

currencystringrequired

Price currency as ISO 4217 code, e.g. USD, EUR, GBP

website_idnumberrequired

Unique identifier of the website the transaction belongs to

is_approvedbooleanrequired

Indicates if the transaction has been approved i.e. the price was paid

is_testingbooleanrequired

Indicates if the transaction was processed using a testing credit card number; such transaction does not represent real money

payment_methodstringrequired
transaction_subtypestringrequired
transaction_typestringrequired
payment_instrumentobjectrequired

Indicates the payment instrument used to pay the price of this transaction

typestringrequired

Type of payment instrument (credit card, bank account etc.)

masked_identifierobjectrequired

Identification of the payment instrument

GET https://controlcenter.verotel.com/api/transaction/123456
GET/transaction/{id}

Path parameters

idnumberrequired

Transaction unique ID.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

idnumberrequired

Unique transaction identifier

decline_reasonobject

If the transaction was declined, i.e. not approved, this will contain the reason why it wasn't approved

idstringrequired
descriptionstringrequired
created_atstringrequired

Date and time when the transaction was created

saleobjectrequired

Information about the sale this transaction belongs to

custom1numberrequired

Custom merchant field #1

custom2numberrequired

Custom merchant field #2

custom3numberrequired

Custom merchant field #3

idnumberrequired

Unique sale identifier

reference_idstringrequired

Custom identifier posted by merchant

typestringrequired
website_idnumberrequired

Unique identifier of the website the transaction belongs to

priceobjectrequired

Price of the transaction

amountstringrequired

Price amount

currencystringrequired

Price currency as ISO 4217 code, e.g. USD, EUR, GBP

reversal_extentstringrequired

Indicates if transaction was fully, partially or not yet been reversed

reversalsobject

If the transaction is reversed (refunded or chargebacked), the reversals are listed here

idnumberrequired

Reversal transaction ID

typestringrequired
priceobjectrequired

Price of the reversal transaction

amountstringrequired

Price amount

currencystringrequired

Price currency as ISO 4217 code, e.g. USD, EUR, GBP

original_debit_transaction_idnumberrequired

If the transaction is a reversal (refund or chargeback), this field contains reference to the reversed debit transaction

is_approvedbooleanrequired

Indicates if the transaction has been approved i.e. the price was paid

is_testingbooleanrequired

Indicates if the transaction was processed using a testing credit card number; such transaction does not represent real money

payment_methodstringrequired
transaction_subtypestringrequired
transaction_typestringrequired
payment_instrumentobjectrequired

Indicates the payment instrument used to pay the price of this transaction

typestringrequired

Type of payment instrument (credit card, bank account etc.)

masked_identifierobjectrequired

Identification of the payment instrument

POST https://controlcenter.verotel.com/api/transaction/123456/refund
content-type: application/json

{
  "partial_refund_amount": "1"
}
POST/transaction/{id}/refund

Path parameters

idnumberrequired

Id of the transaction to be refunded.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Request body

application/json

partial_refund_amountnumber

If you only want to refund part of the amount, indicate it here. Minimum amount to refund is the same as your regular transaction minimum amount.

Responses

Success 200

is_successbooleanrequired

Indicates if the operation succeeded

refund_transaction_idnumberrequired

Id of the created refund transaction

warningobject

If there have been some problems

messagestring

Message, describing the problem

GET https://controlcenter.verotel.com/api/website/123456/sales
    ?is_approved=value
    &is_testing=value
GET/website/{id}/sales

Returns all sales for website id sorted by created_at in ascending order

This call is limited to 5000 sales. If the selected filters result in a larger number of sales, HTTP error 412 - Precondition Failed will be returned and you wil have to narrow down your filtering criteria (reduce date range etc.)

Path parameters

idnumberrequired

Website unique ID

Query parameters

is_approvedboolean

Indicates if only approved or not approved sales should be returned. If omitted, both approved and not approved records are returned.

is_testingboolean

Indicates if only testing or not testing transactions should be returned. If omitted, both testing and not testing records are returned.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

idnumberrequired

Unique sale identifier

created_atstringrequired

Date and time when the sale was created

is_approvedbooleanrequired

Indicates if the sale has been approved i.e. the price was paid

is_testingbooleanrequired

Indicates if the sale was processed using a testing credit card number; such sale does not represent real money

is_subscriptionbooleanrequired

Indicates if the sale represents a subscription or a one-off sale

priceobjectrequired

Price of the sale / recurring price (for recurring subscription)

amountstringrequired

Price amount

currencystringrequired

Price currency

custom1numberrequired

Custom merchant field #1

custom2numberrequired

Custom merchant field #2

custom3numberrequired

Custom merchant field #3

reference_idstringrequired

Custom identifier posted by merchant

descriptionstringrequired

Description of the subscription or purchase

buyer_namestringrequired

Name of the buyer

buyer_emailstringrequired

Email of the buyer

countrystringrequired

Country from which the sale has been made; 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany

addressobject

Buyer street address, if it was required for the sale

full_namestringrequired

Name associated with the address

companystringrequired

Company associated with the address

address_line1stringrequired

1st line of address

address_line2stringrequired

2nd line of address

citystringrequired

City (municipality)

zipstringrequired

Postal/ZIP code

statestringrequired

State, only in case of US, ISO 3166-2 code e.g. US-CA = California

countrystringrequired

Country 2-chars ISO 3166-1 code, e.g. DK = Denmark, DE = Germany

subscriptionobject

If the sale is a subscription, this contains detailed information about it

trial_priceobject

Price of the trial period

amountstringrequired

Price amount

currencystringrequired

Price currency

is_recurringstringrequired

Indicates if the subscription will be automatically rebilled

periodstringrequired

Subscription period in ISO-8601 format, eg. P2Y = 2 years

trial_periodstringrequired

Subscription trial period in ISO-8601 format, eg. P2Y = 2 years

is_expiredstringrequired

Indicates if the subscription is not active anymore

next_charge_onstringrequired

Date on which next charge will be made for the subscription

is_cancelledstringrequired

Indicates if the subscription has been cancelled, i.e. future recurring has been stopped, but it may still be active

expiration_datestringrequired

When the subscription expires

cancel_discountobjectrequired

Discount applied when buyer tried to cancel subscription. This object replaces simple is_discounted field in previous version

is_appliedbooleanrequired

Indicates if the buyer has been offered and accepted a discount when they tried to cancel the subscription

percentagenumber

If applied = true, this is the amount of the discount in percent i.e. 10 - 50 %

applied_onstring

If applied = true, this is the date when the buyer accepted the discount; ISO-8601 format e.g. 2016-04-27

price_after_discountobject

If applied = true, this is the price after the discount was applied; this field does not reflect any subsequent changes to the price, it is a snapshot in time

amountstringrequired
currencystringrequired

Price currency as ISO 4217 code

typestringrequired
payment_methodstringrequired
GET https://controlcenter.verotel.com/api/website/123456/transactions
    ?to_date=value
    &is_approved=value
    &is_testing=value
GET/website/{id}/transactions

Returns all transactions for website id sorted by created_at in ascending order

This call is limited to 5000 transactions. If the selected filters result in a larger number of transactions, HTTP error 412 - Precondition Failed will be returned and you wil have to narrow down your filtering criteria (reduce date range etc.)

Path parameters

idnumberrequired

Website unique ID

Query parameters

to_datestring

ISO date (e.g. 2016-12-31) Transactions with this date or earlier will be returned

is_approvedboolean

Indicates if only approved (i.e. transactions whose price was paid) or not approved transactions should be returned. If omitted, both approved and not approved transactions are returned.

is_testingboolean

Indicates if only testing (i.e. transactions processed using a testing credit card number; such transaction do not represent real money) or not testing transactions should be returned. If omitted, both testing and not testing transactions are returned.

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

created_atstringrequired

Date and time when the transaction was created

idnumberrequired

Unique transaction identifier

priceobjectrequired

Price of the transaction

amountstringrequired

Price amount

converted_amountstring

If convert_to_currency parameter is used, this contains the converted amount

converted_currencystring

If convert_to_currency parameter is used, this contains the converted currency

currencystringrequired

Price currency as ISO 4217 code, e.g. USD, EUR, GBP

saleobjectrequired

Information about the sale this transaction belongs to

custom1numberrequired

Custom merchant field #1

custom2numberrequired

Custom merchant field #2

custom3numberrequired

Custom merchant field #3

idnumberrequired

Unique sale identifier

reference_idstringrequired

Custom identifier posted by merchant

typestringrequired

Type of the sale

is_approvedbooleanrequired

Indicates if the transaction has been approved i.e. the price was paid

is_testingbooleanrequired

Indicates if the transaction was processed using a testing credit card number; such transaction does not represent real money

payment_methodstringrequired
transaction_subtypestringrequired
transaction_typestringrequired
payment_instrumentobjectrequired

Indicates the payment instrument used to pay the price of this transaction

typestringrequired

Type of payment instrument (credit card, bank account etc.)

masked_identifierobjectrequired

Identification of the payment instrument

GET https://controlcenter.verotel.com/api/websites
    ?hidden=value
GET/websites

Returns list of merchant's websites, optionally filtered

Query parameters

hiddenboolean

Show only visible / hidden websites

Headers

Authorizationstringrequired

HTTP basic authorization. See description on top of this page.

Acceptstringrequired

Requested content type and version of recource. See description on top of this page.

Responses

Success 200

descriptionstringrequired

Website description

idnumberrequired

Unique website identifier

is_hiddenbooleanrequired

Indicates whether the website is hidden or not

is_testing_modebooleanrequired

Indicates whether the website is in testing mode or not

namestringrequired

Website name

status_descriptionstringrequired

Status of the website as a readable text

typestringrequired

Type of the website

urlstringrequired

URL of the website